Skip to main content
POST
/
iam
/
v2
/
clients
/
{clientId}
/
tokens
Create API Token (V2)
curl --request POST \
  --url https://api.gcore.com/iam/v2/clients/{clientId}/tokens \
  --header 'Authorization: <api-key>' \
  --header 'Content-Type: application/json' \
  --data @- <<EOF
{
  "name": "My token",
  "exp_date": "2021-01-01T12:00:00.000000Z",
  "client_user": {
    "role": {
      "id": 1,
      "name": "Administrators"
    }
  },
  "description": "It's my token"
}
EOF
{
  "name": "My token",
  "exp_date": "2021-01-01T12:00:00.000000Z",
  "client_user": {
    "role": {
      "id": 1,
      "name": "Administrators"
    },
    "deleted": false,
    "user_id": 123,
    "user_name": "John Doe",
    "user_email": "some@email.com",
    "client_id": 456
  },
  "id": 42,
  "deleted": false,
  "expired": false,
  "created": "2021-01-01T12:00:00.000000Z",
  "last_usage": "2021-01-01T12:00:00.000000Z",
  "token": "42_a1b2c3d4e5f6...",
  "description": "It's my token"
}

Authorizations

Authorization
string
header
required

API key for authentication. Make sure to include the word apikey, followed by a single space and then your token. Example: apikey 1234$abcdef

Path Parameters

clientId
integer
required

Account ID.

Body

application/json
name
string
required

API token name.

Example:

"My token"

exp_date
string | null
required

Date when the API token becomes expired (ISO 8086/RFC 3339 format), UTC. If null, then the API token will never expire.

Example:

"2021-01-01T12:00:00.000000Z"

client_user
object
required

API token role.

description
string

API token description.

Example:

"It's my token"

Response

OK.

name
string
required

API token name.

Example:

"My token"

exp_date
string | null
required

Date when the API token becomes expired (ISO 8086/RFC 3339 format), UTC. If null, then the API token will never expire.

Example:

"2021-01-01T12:00:00.000000Z"

client_user
object
required

API token role and issuer data.

id
integer
required

API token ID.

Example:

42

deleted
boolean
required

Deletion flag. If true, then the API token was deleted.

Example:

false

expired
boolean
required

Expiration flag. If true, then the API token has expired. When an API token expires it will be automatically deleted.

Example:

false

created
string
required

Date when the API token was issued (ISO 8086/RFC 3339 format), UTC.

Example:

"2021-01-01T12:00:00.000000Z"

last_usage
string
required

Date when the API token was last used (ISO 8086/RFC 3339 format), UTC.

Example:

"2021-01-01T12:00:00.000000Z"

token
string

API token with _ separator. Copy it, because you will not be able to get it again. We do not store tokens. All responsibility for token storage and usage is on the issuer.

Example:

"42_a1b2c3d4e5f6..."

description
string

API token description.

Example:

"It's my token"